Login
Newsletter
Werbung

Sicherheit: Zwei Probleme in SDL2_image
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in SDL2_image
ID: openSUSE-SU-2018:3896-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.0
Datum: Sa, 24. November 2018, 22:41
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-3977
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-3839
Applikationen: SDL2_image

Originalnachricht

   openSUSE Security Update: Security update for SDL2_image
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:3896-1
Rating: moderate
References: #1089087 #1114519
Cross-References: CVE-2018-3839 CVE-2018-3977
Affected Products:
openSUSE Leap 15.0
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for SDL2_image fixes the following issues:

Security issues fixed:

- CVE-2018-3839: Fixed an exploitable code execution vulnerability that
existed in the XCF image rendering functionality of the Simple
DirectMedia Layer (bsc#1089087).
- CVE-2018-3977: Fixed a possible code execution via creafted XCF image
that could have caused a heap overflow (bsc#1114519).


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2018-1466=1



Package List:

- openSUSE Leap 15.0 (i586 x86_64):

SDL2_image-debugsource-2.0.4-lp150.2.3.1
libSDL2_image-2_0-0-2.0.4-lp150.2.3.1
libSDL2_image-2_0-0-debuginfo-2.0.4-lp150.2.3.1
libSDL2_image-devel-2.0.4-lp150.2.3.1

- openSUSE Leap 15.0 (x86_64):

libSDL2_image-2_0-0-32bit-2.0.4-lp150.2.3.1
libSDL2_image-2_0-0-32bit-debuginfo-2.0.4-lp150.2.3.1
libSDL2_image-devel-32bit-2.0.4-lp150.2.3.1


References:

https://www.suse.com/security/cve/CVE-2018-3839.html
https://www.suse.com/security/cve/CVE-2018-3977.html
https://bugzilla.suse.com/1089087
https://bugzilla.suse.com/1114519

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung